--
-- Type: TABLE; Owner: BIOMART; Name: BIO_AD_HOC_PROPERTY
--
 CREATE TABLE "BIOMART"."BIO_AD_HOC_PROPERTY" 
  (	"AD_HOC_PROPERTY_ID" NUMBER(22,0) NOT NULL ENABLE, 
"BIO_DATA_ID" NUMBER(22,0) NOT NULL ENABLE, 
"PROPERTY_KEY" VARCHAR2(50), 
"PROPERTY_VALUE" VARCHAR2(2000), 
 CONSTRAINT "BIO_AD_HOC_PROPERTY_PK" PRIMARY KEY ("AD_HOC_PROPERTY_ID")
 USING INDEX
 TABLESPACE "INDX"  ENABLE
  ) SEGMENT CREATION DEFERRED
 TABLESPACE "TRANSMART" ;

--
-- Type: TRIGGER; Owner: BIOMART; Name: TRG_BIO_AD_HOC_PROP_ID
--
  CREATE OR REPLACE TRIGGER "BIOMART"."TRG_BIO_AD_HOC_PROP_ID"
before insert on "BIOMART"."BIO_AD_HOC_PROPERTY"
  for each row begin
    if inserting then
      if :NEW."AD_HOC_PROPERTY_ID" is null then
        select SEQ_BIO_DATA_ID.nextval into :NEW."AD_HOC_PROPERTY_ID" from dual;
      end if;
    end if;
  end;
/
ALTER TRIGGER "BIOMART"."TRG_BIO_AD_HOC_PROP_ID" ENABLE;
 
