--
-- Type: TABLE; Owner: BIOMART; Name: BIO_LIT_ALT_DATA
--
 CREATE TABLE "BIOMART"."BIO_LIT_ALT_DATA" 
  (	"BIO_LIT_ALT_DATA_ID" NUMBER(18,0) NOT NULL ENABLE, 
"BIO_LIT_REF_DATA_ID" NUMBER(18,0) NOT NULL ENABLE, 
"IN_VIVO_MODEL_ID" NUMBER(18,0), 
"IN_VITRO_MODEL_ID" NUMBER(18,0), 
"ETL_ID" VARCHAR2(50), 
"ALTERATION_TYPE" VARCHAR2(50), 
"CONTROL" VARCHAR2(1000), 
"EFFECT" VARCHAR2(500), 
"DESCRIPTION" VARCHAR2(1000), 
"TECHNIQUES" VARCHAR2(1000), 
"PATIENTS_PERCENT" VARCHAR2(500), 
"PATIENTS_NUMBER" VARCHAR2(500), 
"POP_NUMBER" VARCHAR2(250), 
"POP_INCLUSION_CRITERIA" VARCHAR2(1000), 
"POP_EXCLUSION_CRITERIA" VARCHAR2(1000), 
"POP_DESCRIPTION" VARCHAR2(1000), 
"POP_TYPE" VARCHAR2(250), 
"POP_VALUE" VARCHAR2(250), 
"POP_PHASE" VARCHAR2(250), 
"POP_STATUS" VARCHAR2(250), 
"POP_EXPERIMENTAL_MODEL" VARCHAR2(250), 
"POP_TISSUE" VARCHAR2(250), 
"POP_BODY_SUBSTANCE" VARCHAR2(250), 
"POP_LOCALIZATION" VARCHAR2(1000), 
"POP_CELL_TYPE" VARCHAR2(250), 
"CLIN_SUBMUCOSA_MARKER_TYPE" VARCHAR2(250), 
"CLIN_SUBMUCOSA_UNIT" VARCHAR2(250), 
"CLIN_SUBMUCOSA_VALUE" VARCHAR2(250), 
"CLIN_ASM_MARKER_TYPE" VARCHAR2(250), 
"CLIN_ASM_UNIT" VARCHAR2(250), 
"CLIN_ASM_VALUE" VARCHAR2(250), 
"CLIN_CELLULAR_SOURCE" VARCHAR2(250), 
"CLIN_CELLULAR_TYPE" VARCHAR2(250), 
"CLIN_CELLULAR_COUNT" VARCHAR2(250), 
"CLIN_PRIOR_MED_PERCENT" VARCHAR2(250), 
"CLIN_PRIOR_MED_DOSE" VARCHAR2(250), 
"CLIN_PRIOR_MED_NAME" VARCHAR2(250), 
"CLIN_BASELINE_VARIABLE" VARCHAR2(250), 
"CLIN_BASELINE_PERCENT" VARCHAR2(250), 
"CLIN_BASELINE_VALUE" VARCHAR2(250), 
"CLIN_SMOKER" VARCHAR2(250), 
"CLIN_ATOPY" VARCHAR2(250), 
"CONTROL_EXP_PERCENT" VARCHAR2(50), 
"CONTROL_EXP_NUMBER" VARCHAR2(50), 
"CONTROL_EXP_VALUE" VARCHAR2(50), 
"CONTROL_EXP_SD" VARCHAR2(50), 
"CONTROL_EXP_UNIT" VARCHAR2(100), 
"OVER_EXP_PERCENT" VARCHAR2(50), 
"OVER_EXP_NUMBER" VARCHAR2(50), 
"OVER_EXP_VALUE" VARCHAR2(50), 
"OVER_EXP_SD" VARCHAR2(50), 
"OVER_EXP_UNIT" VARCHAR2(100), 
"LOSS_EXP_PERCENT" VARCHAR2(50), 
"LOSS_EXP_NUMBER" VARCHAR2(50), 
"LOSS_EXP_VALUE" VARCHAR2(50), 
"LOSS_EXP_SD" VARCHAR2(50), 
"LOSS_EXP_UNIT" VARCHAR2(100), 
"TOTAL_EXP_PERCENT" VARCHAR2(50), 
"TOTAL_EXP_NUMBER" VARCHAR2(50), 
"TOTAL_EXP_VALUE" VARCHAR2(50), 
"TOTAL_EXP_SD" VARCHAR2(50), 
"TOTAL_EXP_UNIT" VARCHAR2(100), 
"GLC_CONTROL_PERCENT" VARCHAR2(250), 
"GLC_MOLECULAR_CHANGE" VARCHAR2(250), 
"GLC_TYPE" VARCHAR2(50), 
"GLC_PERCENT" VARCHAR2(100), 
"GLC_NUMBER" VARCHAR2(100), 
"PTM_REGION" VARCHAR2(250), 
"PTM_TYPE" VARCHAR2(250), 
"PTM_CHANGE" VARCHAR2(250), 
"LOH_LOCI" VARCHAR2(250), 
"MUTATION_TYPE" VARCHAR2(250), 
"MUTATION_CHANGE" VARCHAR2(250), 
"MUTATION_SITES" VARCHAR2(250), 
"EPIGENETIC_REGION" VARCHAR2(250), 
"EPIGENETIC_TYPE" VARCHAR2(250), 
 CONSTRAINT "BIO_LIT_ALT_DATA_PK" PRIMARY KEY ("BIO_LIT_ALT_DATA_ID")
 USING INDEX
 TABLESPACE "INDX"  ENABLE
  ) SEGMENT CREATION IMMEDIATE
 TABLESPACE "TRANSMART" ;

--
-- Type: TRIGGER; Owner: BIOMART; Name: TRG_BIO_LIT_ALT_DATA_ID
--
  CREATE OR REPLACE TRIGGER "BIOMART"."TRG_BIO_LIT_ALT_DATA_ID" 
before insert on "BIO_LIT_ALT_DATA"
for each row
begin
     if inserting then
       if :NEW."BIO_LIT_ALT_DATA_ID" is null then
          select SEQ_BIO_DATA_ID.nextval into :NEW."BIO_LIT_ALT_DATA_ID" from dual;
       end if;
    end if;
  end;
/
ALTER TRIGGER "BIOMART"."TRG_BIO_LIT_ALT_DATA_ID" ENABLE;
 
--
-- Type: REF_CONSTRAINT; Owner: BIOMART; Name: BIO_LIT_ALT_REF_FK
--
ALTER TABLE "BIOMART"."BIO_LIT_ALT_DATA" ADD CONSTRAINT "BIO_LIT_ALT_REF_FK" FOREIGN KEY ("BIO_LIT_REF_DATA_ID")
 REFERENCES "BIOMART"."BIO_LIT_REF_DATA" ("BIO_LIT_REF_DATA_ID") ENABLE;

