--
-- Type: TABLE; Owner: BIOMART; Name: BIO_LIT_INH_DATA
--
 CREATE TABLE "BIOMART"."BIO_LIT_INH_DATA" 
  (	"BIO_LIT_INH_DATA_ID" NUMBER(18,0) NOT NULL ENABLE, 
"BIO_LIT_REF_DATA_ID" NUMBER(18,0) NOT NULL ENABLE, 
"ETL_ID" VARCHAR2(50), 
"TRIAL_TYPE" VARCHAR2(250), 
"TRIAL_PHASE" VARCHAR2(250), 
"TRIAL_STATUS" VARCHAR2(250), 
"TRIAL_EXPERIMENTAL_MODEL" VARCHAR2(250), 
"TRIAL_TISSUE" VARCHAR2(250), 
"TRIAL_BODY_SUBSTANCE" VARCHAR2(250), 
"TRIAL_DESCRIPTION" VARCHAR2(1000), 
"TRIAL_DESIGNS" VARCHAR2(250), 
"TRIAL_CELL_LINE" VARCHAR2(250), 
"TRIAL_CELL_TYPE" VARCHAR2(250), 
"TRIAL_PATIENTS_NUMBER" VARCHAR2(100), 
"TRIAL_INCLUSION_CRITERIA" VARCHAR2(2000), 
"INHIBITOR" VARCHAR2(250), 
"INHIBITOR_STANDARD_NAME" VARCHAR2(250), 
"CASID" VARCHAR2(250), 
"DESCRIPTION" VARCHAR2(1000), 
"CONCENTRATION" VARCHAR2(250), 
"TIME_EXPOSURE" VARCHAR2(500), 
"ADMINISTRATION" VARCHAR2(250), 
"TREATMENT" VARCHAR2(2000), 
"TECHNIQUES" VARCHAR2(1000), 
"EFFECT_MOLECULAR" VARCHAR2(250), 
"EFFECT_PERCENT" VARCHAR2(250), 
"EFFECT_NUMBER" VARCHAR2(50), 
"EFFECT_VALUE" VARCHAR2(250), 
"EFFECT_SD" VARCHAR2(250), 
"EFFECT_UNIT" VARCHAR2(250), 
"EFFECT_RESPONSE_RATE" VARCHAR2(250), 
"EFFECT_DOWNSTREAM" VARCHAR2(2000), 
"EFFECT_BENEFICIAL" VARCHAR2(2000), 
"EFFECT_ADVERSE" VARCHAR2(2000), 
"EFFECT_DESCRIPTION" VARCHAR2(2000), 
"EFFECT_PHARMACOS" VARCHAR2(2000), 
"EFFECT_POTENTIALS" VARCHAR2(2000), 
 CONSTRAINT "BIO_LIT_INH_DATA_PK" PRIMARY KEY ("BIO_LIT_INH_DATA_ID")
 USING INDEX
 TABLESPACE "INDX"  ENABLE
  ) SEGMENT CREATION IMMEDIATE
 TABLESPACE "TRANSMART" ;

--
-- Type: TRIGGER; Owner: BIOMART; Name: TRG_BIO_LIT_INH_DATA_ID
--
  CREATE OR REPLACE TRIGGER "BIOMART"."TRG_BIO_LIT_INH_DATA_ID" 
before insert on "BIO_LIT_INH_DATA"
for each row
begin
     if inserting then
       if :NEW."BIO_LIT_INH_DATA_ID" is null then
          select SEQ_BIO_DATA_ID.nextval into :NEW."BIO_LIT_INH_DATA_ID" from dual;
       end if;
    end if; end;

/
ALTER TRIGGER "BIOMART"."TRG_BIO_LIT_INH_DATA_ID" ENABLE;
 
--
-- Type: REF_CONSTRAINT; Owner: BIOMART; Name: BIO_LIT_INH_REF_FK
--
ALTER TABLE "BIOMART"."BIO_LIT_INH_DATA" ADD CONSTRAINT "BIO_LIT_INH_REF_FK" FOREIGN KEY ("BIO_LIT_REF_DATA_ID")
 REFERENCES "BIOMART"."BIO_LIT_REF_DATA" ("BIO_LIT_REF_DATA_ID") ENABLE;

