--
-- Type: TABLE; Owner: BIOMART; Name: BIO_LIT_MODEL_DATA
--
 CREATE TABLE "BIOMART"."BIO_LIT_MODEL_DATA" 
  (	"BIO_LIT_MODEL_DATA_ID" NUMBER(18,0) NOT NULL ENABLE, 
"ETL_ID" VARCHAR2(50), 
"MODEL_TYPE" VARCHAR2(50), 
"DESCRIPTION" VARCHAR2(1000), 
"STIMULATION" VARCHAR2(1000), 
"CONTROL_CHALLENGE" VARCHAR2(500), 
"CHALLENGE" VARCHAR2(1000), 
"SENTIZATION" VARCHAR2(1000), 
"ZYGOSITY" VARCHAR2(250), 
"EXPERIMENTAL_MODEL" VARCHAR2(250), 
"ANIMAL_WILD_TYPE" VARCHAR2(250), 
"TISSUE" VARCHAR2(250), 
"CELL_TYPE" VARCHAR2(250), 
"CELL_LINE" VARCHAR2(250), 
"BODY_SUBSTANCE" VARCHAR2(250), 
"COMPONENT" VARCHAR2(250), 
"GENE_ID" VARCHAR2(100), 
 CONSTRAINT "BIO_LIT_MODEL_DATA_PK" PRIMARY KEY ("BIO_LIT_MODEL_DATA_ID")
 USING INDEX
 TABLESPACE "INDX"  ENABLE
  ) SEGMENT CREATION IMMEDIATE
 TABLESPACE "TRANSMART" ;

--
-- Type: TRIGGER; Owner: BIOMART; Name: TRG_BIO_LIT_MODEL_DATA_ID
--
  CREATE OR REPLACE TRIGGER "BIOMART"."TRG_BIO_LIT_MODEL_DATA_ID" 
before insert on "BIO_LIT_MODEL_DATA"
for each row
begin
     if inserting then
       if :NEW."BIO_LIT_MODEL_DATA_ID" is null then
          select SEQ_BIO_DATA_ID.nextval into :NEW."BIO_LIT_MODEL_DATA_ID" from dual;
       end if;
    end if;
  end;
/
ALTER TRIGGER "BIOMART"."TRG_BIO_LIT_MODEL_DATA_ID" ENABLE;
 
