--
-- Type: TABLE; Owner: BIOMART_USER; Name: CMS_SECTION
--
 CREATE TABLE "BIOMART_USER"."CMS_SECTION" 
  (	"ID" NUMBER(18,0) NOT NULL ENABLE,
"NAME" VARCHAR2(255 BYTE) NOT NULL ENABLE, 
"INSTANCE_TYPE" VARCHAR2(255 BYTE) NOT NULL ENABLE, 
"CLOSURE" VARCHAR2(2000) NOT NULL ENABLE,
 CONSTRAINT "CMS_SECTION_PK" PRIMARY KEY ("ID")
 USING INDEX
 TABLESPACE "INDX"  ENABLE,
 CONSTRAINT "CMS_SECTION_UK" UNIQUE ("NAME", "INSTANCE_TYPE")
 USING INDEX
 TABLESPACE "INDX"  ENABLE
) SEGMENT CREATION IMMEDIATE
NOCOMPRESS LOGGING
 TABLESPACE "TRANSMART" ;
--
-- Type: TRIGGER; Owner: BIOMART_USER; Name: TRG_CMS_SECTION_ID
--
  CREATE OR REPLACE TRIGGER "BIOMART_USER"."TRG_CMS_SECTION_ID"
before insert on "CMS_SECTION"
  for each row begin
    if inserting then
      if :NEW."ID" is null then
        select CMS_SECTION_ID_SEQ.nextval into :NEW."ID" from dual;
      end if;
    end if;
  end;
/

ALTER TRIGGER "BIOMART_USER"."TRG_CMS_SECTION_ID" ENABLE;
