--
-- Type: SEQUENCE; Owner: I2B2DEMODATA; Name: SEQ_ENCOUNTER_NUM
--
CREATE SEQUENCE  "I2B2DEMODATA"."SEQ_ENCOUNTER_NUM"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 12388 CACHE 20 NOORDER  NOCYCLE ;

--
-- Type: TABLE; Owner: I2B2DEMODATA; Name: VISIT_DIMENSION
--
 CREATE TABLE "I2B2DEMODATA"."VISIT_DIMENSION"
  (	"ENCOUNTER_NUM" NUMBER(38,0) NOT NULL ENABLE,
"PATIENT_NUM" NUMBER(38,0) NOT NULL ENABLE,
"ACTIVE_STATUS_CD" VARCHAR2(50 BYTE),
"START_DATE" DATE,
"END_DATE" DATE,
"INOUT_CD" VARCHAR2(50 BYTE),
"LOCATION_CD" VARCHAR2(50 BYTE),
"LOCATION_PATH" VARCHAR2(900 BYTE),
"LENGTH_OF_STAY" NUMBER(38,0),
"VISIT_BLOB" CLOB,
"UPDATE_DATE" DATE,
"DOWNLOAD_DATE" DATE,
"IMPORT_DATE" DATE,
"SOURCESYSTEM_CD" VARCHAR2(50 BYTE),
"UPLOAD_ID" NUMBER(38,0),
 CONSTRAINT "VISIT_DIMENSION_PK" PRIMARY KEY ("ENCOUNTER_NUM", "PATIENT_NUM")
 USING INDEX
 TABLESPACE "I2B2_INDEX"  ENABLE
  ) SEGMENT CREATION DEFERRED
 TABLESPACE "I2B2"
LOB ("VISIT_BLOB") STORE AS SECUREFILE (
 TABLESPACE "I2B2" ENABLE STORAGE IN ROW CHUNK 8192
 NOCACHE LOGGING  NOCOMPRESS  KEEP_DUPLICATES ) ;

--
-- Type: TRIGGER; Owner: I2B2DEMODATA; Name: TRG_VISIT_DIMENSION
--
  CREATE OR REPLACE TRIGGER "I2B2DEMODATA"."TRG_VISIT_DIMENSION"
      before insert on "VISIT_DIMENSION"
      for each row begin
	if inserting then
	    if :NEW."ENCOUNTER_NUM" is null then
		select SEQ_ENCOUNTER_NUM.nextval into :NEW."ENCOUNTER_NUM" from dual;
	    end if;
	end if;
      end;
/
ALTER TRIGGER "I2B2DEMODATA"."TRG_VISIT_DIMENSION" ENABLE;
--
-- Type: INDEX; Owner: I2B2DEMODATA; Name: VISITDIM_STD_EDD_IDX
--
CREATE INDEX "I2B2DEMODATA"."VISITDIM_STD_EDD_IDX" ON "I2B2DEMODATA"."VISIT_DIMENSION" ("START_DATE", "END_DATE")
TABLESPACE "I2B2_INDEX" ;
--
-- Type: INDEX; Owner: I2B2DEMODATA; Name: VISITDIM_EN_PN_LP_IO_SD_IDX
--
CREATE INDEX "I2B2DEMODATA"."VISITDIM_EN_PN_LP_IO_SD_IDX" ON "I2B2DEMODATA"."VISIT_DIMENSION" ("ENCOUNTER_NUM", "PATIENT_NUM", "LOCATION_PATH", "INOUT_CD", "START_DATE", "END_DATE", "LENGTH_OF_STAY") -- i2b2 differs on postgres: uses location_cd
TABLESPACE "I2B2_INDEX" ;
--
-- Type: INDEX; Owner: I2B2DEMODATA; Name: VD_UPLOADID_IDX
--
CREATE INDEX "I2B2DEMODATA"."VD_UPLOADID_IDX" ON "I2B2DEMODATA"."VISIT_DIMENSION" ("UPLOAD_ID")
TABLESPACE "I2B2_INDEX" ;
