--
-- Type: TABLE; Owner: I2B2METADATA; Name: I2B2_SECURE
--
 CREATE TABLE "I2B2METADATA"."I2B2_SECURE"
  (	"C_HLEVEL" NUMBER(22,0),
"C_FULLNAME" VARCHAR2(900 BYTE) NOT NULL ENABLE,
"C_NAME" VARCHAR2(2000 BYTE),
"C_SYNONYM_CD" CHAR(1 BYTE),
"C_VISUALATTRIBUTES" CHAR(3 BYTE),
"C_TOTALNUM" NUMBER(22,0),
"C_BASECODE" VARCHAR2(450 BYTE),
"C_METADATAXML" CLOB,
"C_FACTTABLECOLUMN" VARCHAR2(50 BYTE),
"C_TABLENAME" VARCHAR2(150 BYTE),
"C_COLUMNNAME" VARCHAR2(50 BYTE),
"C_COLUMNDATATYPE" VARCHAR2(50 BYTE),
"C_OPERATOR" VARCHAR2(10 BYTE),
"C_DIMCODE" VARCHAR2(900 BYTE),
"C_COMMENT" CLOB,
"C_TOOLTIP" VARCHAR2(900 BYTE),
"M_APPLIED_PATH" VARCHAR2(700 BYTE) DEFAULT '@',
"UPDATE_DATE" TIMESTAMP (6),
"DOWNLOAD_DATE" TIMESTAMP (6),
"IMPORT_DATE" TIMESTAMP (6),
"SOURCESYSTEM_CD" VARCHAR2(50 BYTE),
"VALUETYPE_CD" VARCHAR2(50 BYTE),
"M_EXCLUSION_CD" VARCHAR2(25 BYTE),
"C_SYMBOL" VARCHAR2(50 BYTE),
"C_PATH" VARCHAR2(900 BYTE),
"I2B2_ID" NUMBER(18,0),
"SECURE_OBJ_TOKEN" VARCHAR2(50 BYTE)
  ) SEGMENT CREATION IMMEDIATE
 TABLESPACE "I2B2"
LOB ("C_METADATAXML") STORE AS SECUREFILE (
 TABLESPACE "I2B2" ENABLE STORAGE IN ROW CHUNK 8192
 NOCACHE NOLOGGING  NOCOMPRESS  KEEP_DUPLICATES )
LOB ("C_COMMENT") STORE AS SECUREFILE (
 TABLESPACE "I2B2" ENABLE STORAGE IN ROW CHUNK 8192
 NOCACHE NOLOGGING  NOCOMPRESS  KEEP_DUPLICATES ) ;
--
-- Type: INDEX; Owner: I2B2METADATA; Name: I2B2_SEC_SRCSYS
--
CREATE INDEX "I2B2METADATA"."I2B2_SEC_SRCSYS" ON "I2B2METADATA"."I2B2_SECURE" ("SOURCESYSTEM_CD")
  TABLESPACE "I2B2_INDEX";
--
-- Type: INDEX; Owner: I2B2METADATA; Name: I2B2_SEC_NAME_CD_LVL
--
CREATE INDEX "I2B2METADATA"."I2B2_SEC_NAME_CD_LVL" ON "I2B2METADATA"."I2B2_SECURE" ("C_FULLNAME", "C_SYNONYM_CD", "C_HLEVEL")
TABLESPACE "I2B2" ;
--
-- Type: INDEX; Owner: I2B2METADATA; Name: I2B2_SEC_NAME_CD_VID
--
CREATE INDEX "I2B2METADATA"."I2B2_SEC_NAME_CD_VIS" ON "I2B2METADATA"."I2B2_SECURE" ("C_FULLNAME", "C_BASECODE", "C_VISUALATTRIBUTES")
TABLESPACE "I2B2" ;
--
-- Type: INDEX; Owner: I2B2METADATA; Name: I2B2_SEC_UPNAME
--
CREATE INDEX "I2B2METADATA"."I2B2_SEC_UPNAME" ON "I2B2METADATA"."I2B2_SECURE" (UPPER("C_NAME"))
TABLESPACE "I2B2" ;
--
-- Type: INDEX; Owner: I2B2METADATA; Name: I2B2_SEC_NAME_PLUS
--
CREATE INDEX "I2B2METADATA"."I2B2_SEC_NAME_PLUS" ON "I2B2METADATA"."I2B2_SECURE" ("C_FULLNAME", "C_HLEVEL", "C_SYNONYM_CD", "C_VISUALATTRIBUTES")
TABLESPACE "I2B2" ;
--
-- Type: INDEX; Owner: I2B2METADATA; Name: I2B2_SEC_NAME
--
CREATE INDEX "I2B2METADATA"."I2B2_SEC_NAME" ON "I2B2METADATA"."I2B2_SECURE" ("C_FULLNAME")
TABLESPACE "I2B2" ;
