--
-- Type: TABLE; Owner: I2B2METADATA; Name: ICD10_ICD9
--
 CREATE TABLE "I2B2METADATA"."ICD10_ICD9" (
    "C_HLEVEL" NUMBER(22,0) NOT NULL ENABLE,
    "C_FULLNAME" VARCHAR2(700 BYTE) NOT NULL ENABLE,
    "C_NAME" VARCHAR2(2000 BYTE) NOT NULL ENABLE,
    "C_SYNONYM_CD" CHAR(1 BYTE) NOT NULL ENABLE,
    "C_VISUALATTRIBUTES" CHAR(3 BYTE) NOT NULL ENABLE,
    "C_TOTALNUM" NUMBER(22,0),
    "C_BASECODE" VARCHAR2(50 BYTE),
    "C_METADATAXML" CLOB,
    "C_FACTTABLECOLUMN" VARCHAR2(50 BYTE) NOT NULL ENABLE,
    "C_TABLENAME" VARCHAR2(50 BYTE) NOT NULL ENABLE,
    "C_COLUMNNAME" VARCHAR2(50 BYTE) NOT NULL ENABLE,
    "C_COLUMNDATATYPE" VARCHAR2(50 BYTE) NOT NULL ENABLE,
    "C_OPERATOR" VARCHAR2(10 BYTE) NOT NULL ENABLE,
    "C_DIMCODE" VARCHAR2(700 BYTE) NOT NULL ENABLE,
    "C_COMMENT" CLOB,
    "C_TOOLTIP" VARCHAR2(900 BYTE),
    "M_APPLIED_PATH" VARCHAR2(700 BYTE) NOT NULL ENABLE,
    "UPDATE_DATE" DATE NOT NULL ENABLE,
    "DOWNLOAD_DATE" DATE,
    "IMPORT_DATE" DATE,
    "SOURCESYSTEM_CD" VARCHAR2(50 BYTE),
    "VALUETYPE_CD" VARCHAR2(50 BYTE),
    "M_EXCLUSION_CD" VARCHAR2(25 BYTE),
    "C_PATH" VARCHAR2(700 BYTE),
    "C_SYMBOL" VARCHAR2(50 BYTE),
    "PLAIN_CODE" VARCHAR(25 BYTE)
) SEGMENT CREATION IMMEDIATE
 TABLESPACE "I2B2" ;
--
-- Type: INDEX; Owner: I2B2METADATA; Name: META_BASECODE_I2B2_IDX
--
CREATE INDEX "I2B2METADATA"."META_FULLNAME_ICD10_ICD9_IDX" ON "I2B2METADATA"."ICD10_ICD9"("C_FULLNAME")
TABLESPACE "I2B2_INDEX" ;
--
-- Type: INDEX; Owner: I2B2METADATA; Name: META_BASECODE_I2B2_IDX
--
CREATE INDEX "I2B2METADATA"."META_APPL_PATH_ICD10_ICD9_IDX" ON "I2B2METADATA"."ICD10_ICD9"("M_APPLIED_PATH")
TABLESPACE "I2B2_INDEX" ; 
--
-- Type: INDEX; Owner: I2B2METADATA; Name: META_BASECODE_I2B2_IDX
--
CREATE INDEX "I2B2METADATA"."META_EXCLUSION_ICD10_ICD9_IDX" ON "I2B2METADATA"."ICD10_ICD9"("M_EXCLUSION_CD")
TABLESPACE "I2B2_INDEX" ;
--
-- Type: INDEX; Owner: I2B2METADATA; Name: META_BASECODE_I2B2_IDX
--
CREATE INDEX "I2B2METADATA"."META_HLEVEL_ICD10_ICD9_IDX" ON "I2B2METADATA"."ICD10_ICD9"("C_HLEVEL")
TABLESPACE "I2B2_INDEX" ;
--
-- Type: INDEX; Owner: I2B2METADATA; Name: META_BASECODE_I2B2_IDX
--
CREATE INDEX "I2B2METADATA"."META_SYNONYM_ICD10_ICD9_IDX" ON "I2B2METADATA"."ICD10_ICD9"("C_SYNONYM_CD")
TABLESPACE "I2B2_INDEX" ;
