--
-- Type: TABLE; Owner: I2B2METADATA; Name: PHI
--
 CREATE TABLE "I2B2METADATA"."PHI"
  (	"C_HLEVEL" NUMBER(22,0) NOT NULL ENABLE,
"C_FULLNAME" VARCHAR2(700 BYTE) NOT NULL ENABLE,
"C_NAME" VARCHAR2(2000 BYTE) NOT NULL ENABLE,
"C_SYNONYM_CD" CHAR(1 BYTE) NOT NULL ENABLE,
"C_VISUALATTRIBUTES" CHAR(3 BYTE) NOT NULL ENABLE,
"C_TOTALNUM" NUMBER(22,0),
"C_BASECODE" VARCHAR2(50 BYTE),
"C_METADATAXML" CLOB,
"C_FACTTABLECOLUMN" VARCHAR2(50 BYTE) NOT NULL ENABLE,
"C_TABLENAME" VARCHAR2(50 BYTE) NOT NULL ENABLE,
"C_COLUMNNAME" VARCHAR2(50 BYTE) NOT NULL ENABLE,
"C_COLUMNDATATYPE" VARCHAR2(50 BYTE) NOT NULL ENABLE,
"C_OPERATOR" VARCHAR2(10 BYTE) NOT NULL ENABLE,
"C_DIMCODE" VARCHAR2(700 BYTE) NOT NULL ENABLE,
"C_COMMENT" CLOB,
"C_TOOLTIP" VARCHAR2(900 BYTE),
"M_APPLIED_PATH" VARCHAR2(700 BYTE) DEFAULT '@' NOT NULL ENABLE,
"UPDATE_DATE" TIMESTAMP (6) NOT NULL ENABLE,
"DOWNLOAD_DATE" TIMESTAMP (6),
"IMPORT_DATE" TIMESTAMP (6),
"SOURCESYSTEM_CD" VARCHAR2(50 BYTE),
"VALUETYPE_CD" VARCHAR2(50 BYTE),
"M_EXCLUSION_CD" VARCHAR2(25 BYTE),
"C_PATH" VARCHAR2(700 BYTE),
"C_SYMBOL" VARCHAR2(50 BYTE)
  ) SEGMENT CREATION IMMEDIATE
 TABLESPACE "I2B2"
LOB ("C_METADATAXML") STORE AS SECUREFILE (
 TABLESPACE "I2B2" ENABLE STORAGE IN ROW CHUNK 8192
 NOCACHE NOLOGGING  NOCOMPRESS  KEEP_DUPLICATES )
LOB ("C_COMMENT") STORE AS SECUREFILE (
 TABLESPACE "I2B2" ENABLE STORAGE IN ROW CHUNK 8192
 NOCACHE NOLOGGING  NOCOMPRESS  KEEP_DUPLICATES ) ;
--
-- Type: INDEX; Owner: I2B2METADATA; Name: META_BASECODE_PHI_IDX
--
CREATE INDEX "I2B2METADATA"."META_BASECODE_PHI_IDX" ON "I2B2METADATA"."PHI" ("C_BASECODE")
TABLESPACE "I2B2_INDEX" ;
-- index not in i2b2

--
-- Type: INDEX; Owner: I2B2METADATA; Name: META_NAME_CODE_PHI_IDX
--
CREATE INDEX "I2B2METADATA"."META_NAME_CODE_PHI_IDX" ON "I2B2METADATA"."PHI" ("C_FULLNAME", "C_BASECODE")
TABLESPACE "I2B2_INDEX" ;
-- index not in i2b2

--
-- Type: INDEX; Owner: I2B2METADATA; Name: META_FULLNAME_PHI_IDX
--
CREATE INDEX "I2B2METADATA"."META_FULLNAME_PHI_IDX" ON "I2B2METADATA"."PHI" ("C_FULLNAME")
TABLESPACE "I2B2_INDEX" ;
--
-- Type: INDEX; Owner: I2B2METADATA; Name: META_APPLIED_PATH_PHI_IDX
--
CREATE INDEX "I2B2METADATA"."META_APPLIED_PATH_PHI_IDX" ON "I2B2METADATA"."PHI" ("M_APPLIED_PATH")
TABLESPACE "I2B2_INDEX" ;
--
-- Type: INDEX; Owner: I2B2METADATA; Name: META_EXCLUSION_PHI_IDX
--
CREATE INDEX "I2B2METADATA"."META_EXCLUSION_PHI_IDX" ON "I2B2METADATA"."PHI" ("M_EXCLUSION_CD")
TABLESPACE "I2B2_INDEX" ;
--
-- Type: INDEX; Owner: I2B2METADATA; Name: META_HLEVEL_PHI_IDX
--
CREATE INDEX "I2B2METADATA"."META_HLEVEL_PHI_IDX" ON "I2B2METADATA"."PHI" ("C_HLEVEL")
TABLESPACE "I2B2_INDEX" ;
--
-- Type: INDEX; Owner: I2B2METADATA; Name: META_SYNONYM_PHI_IDX
--
CREATE INDEX "I2B2METADATA"."META_SYNONYM_PHI_IDX" ON "I2B2METADATA"."PHI" ("C_SYNONYM_CD")
TABLESPACE "I2B2_INDEX" ;
--
-- Type: INDEX; Owner: I2B2METADATA; Name: PHI_VISATT_IDX
--
CREATE INDEX "I2B2METADATA"."PHI_VISATT_IDX" ON "I2B2METADATA"."PHI" ("C_VISUALATTRIBUTES")
TABLESPACE "I2B2_INDEX" ;
